const inquirer = require('inquirer'); // 提示文本
inquirer.registerPrompt('path', require('inquirer-fuzzy-path'));

const ORIGIN = 'git@github.com:ckzjys/ckzjys.git';

/**
 * 选择创建目录
 * @returns Promise
 */
const getPath = () => inquirer.prompt([{
  type: 'path',
  name: 'path',
  excludePath: (nodePath) => nodePath.startsWith('node_modules'),
  excludeFilter: (nodePath) => nodePath === '.',
  itemType: 'directory',
  rootPath: 'src',
  message: '选择创建目录：',
  default: './',
  suggestOnly: false,
  depthLimit: 5,
}]);

module.exports = { getPath, ORIGIN };
