const { Command } = require('commander');
// 美化终端
const chalk = require('chalk');
const symbols = require('log-symbols');
const clone = require('git-clone')
const shell = require('shelljs');


// 下载模版文件
// const download = require('download-git-repo');
// 提示文本
const inquirer = require('inquirer');
inquirer.registerPrompt('path', require('inquirer-fuzzy-path'));
// 提示下载
const ora = require('ora');
const { getPath } = require('../cli/utils');

const choices = [
  // 'vue',
  // 'vue3',
  // 'uniapp',
  // 'react-H5',
  // 'cordova-app',
  // 'flutter-app',
  'react'
];
/**
 * 创建init命令
 * @param {*} program
 */
const initCommand = (program) => {
  const command = new Command();
  command.name('init').description('初始化项目').action(() => {
    inquirer.prompt([{
      type: 'list',
      name: 'seed',
      message: '请小旺旺选择脚手架  ♪（＾∀＾●）ﾉｼ （●´∀｀）♪',
      choices,
    }]).then(({ seed }) => {

      getPath().then((v) => {

        let pwd = shell.pwd()
        console.log(symbols.success, chalk.green('开始初始化.............'));
        console.log('————————————————————————————————');
        console.log(chalk.green("目录位于:",pwd+ `/${seed}`));
        console.log('————————————————————————————————');
        const spinner = ora('正在下载.............');
        spinner.start();
        // 下载脚手架
        // console.log(v);
          clone(`https://gitee.com/JYSL/${seed}.git`,  pwd+ `/${seed}`, null, function (e) {
          if(e) {
            spinner.fail();
        console.log('————————————————————————————————');

            console.log(symbols.error, chalk.green('项目初始化失败啊'+'失败代码'+e));
          
          }else{
            shell.rm('-rf', pwd + `/${seed}/.git`)
            spinner.succeed();
            console.log(symbols.success, chalk.green('项目初始化完成，:.ﾟヽ(｡◕‿◕｡)ﾉﾟ.:｡+ﾟ'));
          }
            
          })

     
      })
   
    });
  });

  program.addCommand(command);

}


module.exports = { initCommand };
